curl -X POST 'https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pt' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":1}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'pt',
'role' => 'partner',
],
'json' => [
'id' => 1,
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pt",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": 1
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.pro/api/crm/v2/integration_payments.update_webhook_settings?branch_id=1",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pt",
"role": "partner",
},
json={
"id": 1,
},
)
data = response.json()
Resposta 200
{
"status": "success",
"data": {}
}
As solicitações são enviadas para foodsoul.pro — o host deste portal, não é possível escolher outro.